Create campaign
curl --request POST \
--url https://api.rezora.io/api/v1/campaigns/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"status": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"agent_phone_number": "<string>",
"contact_group_name": "<string>",
"contact_group_total": 0,
"concurrent_calls": 0,
"max_retry_days": 0,
"calling_hours": "<unknown>",
"schedule_config": "<unknown>",
"active_days": "<unknown>",
"field_mappings": "<unknown>",
"selected_contact_fields": "<unknown>",
"timezone": "<string>",
"call_insights": "<unknown>",
"post_call_analyzers": [
{}
],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.rezora.io/api/v1/campaigns/"
payload = {
"name": "<string>",
"description": "<string>",
"status": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"agent_phone_number": "<string>",
"contact_group_name": "<string>",
"contact_group_total": 0,
"concurrent_calls": 0,
"max_retry_days": 0,
"calling_hours": "<unknown>",
"schedule_config": "<unknown>",
"active_days": "<unknown>",
"field_mappings": "<unknown>",
"selected_contact_fields": "<unknown>",
"timezone": "<string>",
"call_insights": "<unknown>",
"post_call_analyzers": [{}],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
status: '<string>',
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_name: '<string>',
agent_phone_number: '<string>',
contact_group_name: '<string>',
contact_group_total: 0,
concurrent_calls: 0,
max_retry_days: 0,
calling_hours: '<unknown>',
schedule_config: '<unknown>',
active_days: '<unknown>',
field_mappings: '<unknown>',
selected_contact_fields: '<unknown>',
timezone: '<string>',
call_insights: '<unknown>',
post_call_analyzers: [{}],
started_at: '2023-11-07T05:31:56Z',
completed_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.rezora.io/api/v1/campaigns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_call_analyzers": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_agents": {},
"contact_groups": {},
"name": "<string>",
"description": "<string>",
"status": "<string>",
"paused_reason": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"concurrent_calls": 0,
"max_retry_days": 0,
"calling_hours": "<unknown>",
"schedule_config": "<unknown>",
"active_days": "<unknown>",
"field_mappings": "<unknown>",
"selected_contact_fields": "<unknown>",
"timezone": "<string>",
"call_insights": "<unknown>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Campaigns
Create campaign
POST
/
api
/
v1
/
campaigns
/
Create campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
255Maximum string length:
32Maximum string length:
255Maximum string length:
64Maximum string length:
255Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-9223372036854776000 <= x <= 9223372036854776000Maximum string length:
64Show child attributes
Show child attributes
Response
201 - application/json
Shapes the Campaign row to match the Supabase response structure the frontend already consumes (nested user_agents / contact_groups objects).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255Maximum string length:
32Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-9223372036854776000 <= x <= 9223372036854776000Maximum string length:
64⌘I